### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-menu/ecl-menu-mega/ecl-menu-mega-item.component.ts`

### Extends

`ECLBaseDirective`

### Implements

`EclMenuItem`

### Metadata

selector | `ecl-menu-mega-item`
styles | `:host { display: list-item; }`
templateUrl | `./ecl-menu-mega-item.component.html`

### Index

###### Properties

- children
- cmpClass
- hasChildren
- isExpanded

###### Methods

- onItemClick
- getCssClasses

###### Inputs

- href
- id
- isCurrent
- label
- class
- e2eAttr

###### Outputs

- menuItemSelect

###### HostBindings

- class.ecl-menu__subitem

### Inputs

href
Type : `string`
Default value : `''`

id
Type : `string`

isCurrent
Type : `boolean`

label
Type : `string`

class
Type : `string`

e2eAttr
Type : `any`

### Outputs

menuItemSelect
Type : `EventEmitter`

### HostBindings

class.ecl-menu__subitem
Type : `boolean`
Default value : `true`

### Methods

onItemClick
`onItemClick(evt: MouseEvent)`

Parameters :

Name | Type | Optional
evt | `MouseEvent` | No

Returns : `void`

getCssClasses
`getCssClasses(rootClass: string)`

Parameters :

Name | Type | Optional
rootClass | `string` | No

Returns : `string`

### Properties

children
Type : `Array<EclMenuItem>`
Default value : `[]`

cmpClass
Type : `boolean`
Default value : `true`
Decorators : `@HostBinding('class.ecl-menu__subitem')`

hasChildren
Type : `boolean`
Default value : `false`

isExpanded
Type : `boolean`
Default value : `true`

# results matching ""

# No results matching ""